import greenfoot.*;

public class Panel extends Actor
{
    private static final Color[] colors = { Color.RED, Color.GREEN, Color.YELLOW, Color.BLUE };
    int order = 0;
    
    public Panel()
    {
        updateImage();
    }
    
    public void updateImage()
    {
        GreenfootImage image = new GreenfootImage(60, 60);
        for (int i=0; i<4; i++)
        {
            int j = (i+order)%4;
            image.setColor(colors[j]);
            image.fillRect(29*(i/2), 29*(i%2), 29, 29);
        }
        image.setTransparency(180);
        setImage(image);
    }

    public void act()
    {
        turnTowards(Zone.mouseX, Zone.mouseY);
    }
    
    public void newImage()
    {
        order = (order+1)%4;
        updateImage();
    }
}